# Uses of Class
com.ngrok.definitions.Credential

Packages that use Credential
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of Credential in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type Credential
  Modifier and Type
  Method
  Description
  `List<Credential>`
  CredentialList.`getCredentials()`
  the list of all tunnel credentials on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type Credential
  Modifier
  Constructor
  Description
  ``
  `CredentialList(List<Credential> credentials, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `CredentialList`.

- ## Uses of Credential in com.ngrok.services

  Methods in com.ngrok.services that return Credential
  Modifier and Type
  Method
  Description
  `Credential`
  Credentials.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `Credential`
  Credentials.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `Credential`
  Credentials.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type Credential
  Modifier and Type
  Method
  Description
  `CompletionStage<Credential>`
  Credentials.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<Credential>`
  Credentials.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<Credential>`
  Credentials.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.